> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an Unmanaged Access Grant

> Updates an unmanaged Access Grant to make it managed.

This endpoint can only be used to convert unmanaged access grants to managed ones by setting `is_managed` to `true`. It cannot be used to convert managed access grants back to unmanaged.

When converting an unmanaged access grant to managed, all associated access methods will also be converted to managed.



## OpenAPI

````yaml /openapi.json post /access_grants/unmanaged/update
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /access_grants/unmanaged/update:
    post:
      tags: []
      summary: Update an Unmanaged Access Grant
      description: >-
        Updates an unmanaged Access Grant to make it managed.


        This endpoint can only be used to convert unmanaged access grants to
        managed ones by setting `is_managed` to `true`. It cannot be used to
        convert managed access grants back to unmanaged.


        When converting an unmanaged access grant to managed, all associated
        access methods will also be converted to managed.
      operationId: accessGrantsUnmanagedUpdatePost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                access_grant_id:
                  description: ID of the unmanaged Access Grant to update.
                  format: uuid
                  type: string
                access_grant_key:
                  description: >-
                    Unique key for the access grant. If not provided, the
                    existing key will be preserved.
                  type: string
                is_managed:
                  description: >-
                    Must be set to true to convert the unmanaged access grant to
                    managed.
                  enum:
                    - true
                  type: boolean
              required:
                - access_grant_id
                - is_managed
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
        - client_session_with_customer: []
components:
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    client_session_with_customer:
      bearerFormat: Customer Client Session Token
      scheme: bearer
      type: http

````